import { SFCCompiler, DescriptorCompileResult } from './compiler';
export interface AssembleSource {
    filename: string;
    script?: {
        source: string;
        map?: any;
    };
    template?: {
        source: string;
        functional?: boolean;
    };
    styles: Array<{
        source: string;
        scoped?: boolean;
        map?: any;
    }>;
    scopeId: string;
}
export interface AssembleResults {
    code: string;
    map?: any;
}
export declare function assemble(compiler: SFCCompiler, filename: string, result: DescriptorCompileResult): AssembleResults;
export declare function assembleFromSource(compiler: SFCCompiler, {filename, script, template, styles, scopeId}: AssembleSource): AssembleResults;
